import { Ref, ComputedRef } from 'vue';
import { ApGridColumnType } from '../interface';
export declare const useRenderColumns: <RecordType>(columns: Ref<ApGridColumnType<RecordType>[]>) => {
    renderConfig: ComputedRef<import("vue/jsx-runtime").JSX.Element[]>;
    updateSignal: Ref<number, number>;
};
